Bug 831603 - If initial template is deleted, the user can not create a new template
If initial template is deleted, the user can not create a new template
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 832041
  Show dependency treegraph
 
Reported: 2012-06-13 08:18 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 832041 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:14:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-06-13 08:18:15 EDT
If a user has gone to Admin->Config->Drift definitions and e.g. deleted the only template for an AS5 server, it is not possible to create a new template by pressing the new button.
The UI shows a red bar "Some non caught exception has happened" and the grey screen will stay on screen -- one has to reload the whole RHQ UI to continue.

To bugs:
- can not create a template without another template that is used as template :-)
- on Error, the UI becomes non-responsive

There is no error in the log or in the message center.
Comment 2 John Sanda 2012-06-14 07:17:53 EDT
DriftTemplateManagerBean now throws an IllegalArgumentException if you try to delete a plugin defined template. The delete action in the templates ui is now disabled for plugin defined templates. Changes have been pushed to master.

commit hash: b8a19a54ca7e
Comment 3 Heiko W. Rupp 2013-09-01 06:14:03 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.